#!/bin/env python
""" WxPython Application to Browse GRASS Databases and test Buttons.

You need to have the pylibgrass5 module in your path and grassinfo.py.
Bernhard Reiter <bernhard@intevation.de>
"""
__version__="$Id: GrassBrowseProbeApp.py,v 1.1 2001/01/20 21:05:35 bernhard Exp $"
# based on GrassBrowse.py

from wxPython.wx import *

import BrowseFrame

class GrassBrowseApp(wxApp):
    def OnInit(self):
        self.main = BrowseFrame.create(None,1)
        self.main.Show(true)
        self.SetTopWindow(self.main)
        return true

def main():
    application = GrassBrowseApp(0)
    application.MainLoop()
    f=application.main
    if f.okay:
        print "A cell or imagery group was selected:"
        print f.gisdbase, f.location, f.mapset, f.cellname
    else:
        print "Cancel was pressed."

if __name__ == '__main__':
    main()
