#!/bin/env python
""" WxPython Application to Browse GRASS Databases.

You need to have the pylibgrass5 module in your path and grassinfo.py.
Bernhard Reiter <bernhard@intevation.de>
"""
__version__="$Id: GrassBrowseApp.py,v 1.1 2001/01/20 21:05:35 bernhard Exp $"

from wxPython.wx import *

import BrowseFrame

class GrassBrowseApp(wxApp):
    def OnInit(self):
        self.main = BrowseFrame.create(None)
        self.main.Show(true)
        self.SetTopWindow(self.main)
        return true

def main():
    application = GrassBrowseApp(0)
    application.MainLoop()

if __name__ == '__main__':
    main()
